/*
 * init.h
 *
 *  Created on: Jan 23, 2014
 *      Author: rob
 */

#ifndef PHFETSOS_INIT_H_
#define PHFETSOS_INIT_H_

#include "ads1248_iso.h"
#include "ads1248_noniso.h"
#include "ctd_sbe37.h"

#include "optode.h"

#include <stdint.h>

extern uint32_t g_ui32SysClock;
extern int microSD_flg;

// return 1 on success, <= 0 on error
// errors are fatal - you should hardfault / not continue execution on error
// warnings / non-fatal errors still return 1 for "success" so keep going
int init(void);
#ifdef NOCODE
void Init_Pump();
void Init_Pressure(void);
void Init_AUX(void);
void Init_LED(void);
void Init_DIC(void);
void Init_Unused(void);
#endif

#endif // PHFETSOS_INIT_H_
